<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <title>Detail</title>

      <!--Boottrap, JQuery-->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
      <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

      <!--FONT AWESOME-->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" />

      <link
         href="https://fonts.googleapis.com/css2?family=Karantina:wght@300&family=Lora&display=swap"
         rel="stylesheet"
      />

      <!-- THƯ VIỆN SWIPER-->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Swiper/5.4.5/css/swiper.min.css" />
      <script src="https://cdnjs.cloudflare.com/ajax/libs/Swiper/5.4.5/js/swiper.min.js"></script>

      <script src="../../assets/js/userPage/detail/detailRealestates.js"></script>
   </head>
   <body>
      <div id="header">
         <!-- 1. Header - Navbar menu -->
         <section style="background-color: rgb(11, 44, 61)">
            <div id="header-navbar" style="background-color: rgb(11, 44, 61)" class="">
               <nav class="navbar navbar-light navbar-expand-lg container">
                  <a href="../home/home.html" class="navbar-brand">
                     <img src="../../assets/image/default/logo-white.png" />
                  </a>
                  <button
                     class="navbar-toggler py-2"
                     type="button"
                     data-toggle="collapse"
                     data-target="#navbarSupportedContent"
                     aria-controls="navbarSupportedContent"
                     aria-expanded="false"
                     aria-label="Toggle navigation"
                     style="background-color: #b39359"
                  >
                     <i class="fa-solid fa-bars text-light"></i>
                  </button>

                  <div class="collapse navbar-collapse" id="navbarSupportedContent">
                     <ul class="navbar-nav ml-auto">
                        <li class="nav-item active px-2">
                           <a class="nav-link" href="../home/home.html">Home</a>
                        </li>
                        <li class="nav-item dropdown px-2">
                           <a
                              class="nav-link"
                              href="#"
                              id="navbarDropdown2"
                              role="button"
                              data-toggle="dropdown"
                              aria-haspopup="true"
                              aria-expanded="false"
                           >
                              Properties
                           </a>
                           <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
                              <a class="dropdown-item" href="#">Vision & Mission</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Team</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Contact Us</a>
                              <hr class="p-0 m-0" />
                           </div>
                        </li>
                        <li class="nav-item dropdown px-2">
                           <a
                              class="nav-link"
                              href="#"
                              id="navbarDropdown2"
                              role="button"
                              data-toggle="dropdown"
                              aria-haspopup="true"
                              aria-expanded="false"
                           >
                              Pages
                           </a>
                           <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
                              <a class="dropdown-item" href="#">Vision & Mission</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Team</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Contact Us</a>
                              <hr class="p-0 m-0" />
                           </div>
                        </li>
                        <li class="nav-item dropdown px-2">
                           <a
                              class="nav-link"
                              href="#"
                              id="navbarDropdown5"
                              role="button"
                              data-toggle="dropdown"
                              aria-haspopup="true"
                              aria-expanded="false"
                           >
                              Contact
                           </a>
                           <div class="dropdown-menu" aria-labelledby="navbarDropdown5">
                              <a class="dropdown-item" href="#">Vision & Mission</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Team</a>
                              <hr class="p-0 m-0" />
                              <a class="dropdown-item" href="#">Contact Us</a>
                              <hr class="p-0 m-0" />
                           </div>
                        </li>
                     </ul>
                     <div id="container-infoAccount" style="display: none">
                        <ul class="navbar-nav ml-auto">
                           <li class="nav-item dropdown px-2">
                              <a
                                 class="nav-link a-info"
                                 href="#"
                                 id="navbarDropdown2"
                                 role="button"
                                 data-toggle="dropdown"
                                 aria-haspopup="true"
                                 aria-expanded="false"
                              >
                              </a>
                              <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
                                 <a
                                    class="dropdown-item dashboardPage"
                                    href="../../DashBoard/RealestateAdmin/RealestateAdmin.html"
                                    style="display: none"
                                    >DashBoard</a
                                 >
                                 <hr class="p-0 m-0" />
                                 <a class="dropdown-item" href="../../UserPage/infoAccount/infoAccount.html">Account</a>
                                 <hr class="p-0 m-0" />
                                 <a class="dropdown-item" href="../../UserPage/myRealestates/myRealestates.html"
                                    >My Realestates</a
                                 >
                                 <hr class="p-0 m-0" />
                                 <a class="dropdown-item" href="../../UserPage/addRealestates/addRealestates.html"
                                    >Add Realestates</a
                                 >
                                 <hr class="p-0 m-0" />
                              </div>
                           </li>
                           <li>
                              <button class="btn btn-danger" id="btn-logout">Log Out</button>
                           </li>
                        </ul>
                     </div>

                     <div id="container-loginAndRegister">
                        <a href="../register/register.html" class="btn px-2 mx-2 bg-primary text-white">Register</a>
                        <a href="../login/login.html" class="btn px-2 bg-info text-white">Log In</a>
                     </div>
                  </div>
               </nav>
            </div>
         </section>

         <!--BackGround Header-->
         <section class="bg-header align-items-center d-flex">
            <div class="container text-white text-center">
               <h6>Our Properties</h6>
               <h1>Properties Details</h1>
               <h5>
                  Huge number of propreties availabe here for buy and sell also you can find here co-living property as
                  you like
               </h5>
            </div>
         </section>
         <!--end-->
      </div>

      <div id="main">
         <!--FORM THÔNG TIN-->
         <section class="container my-5">
            <div class="row">
               <!--THÔNG TIN BDS-->
               <div class="col-12 col-md-8">
                  <div>
                     <img src="" alt="" id="img-mainRealestates" style="width: 100%" />
                  </div>

                  <div class="my-3">
                     <h3 id="title-mainRealestates"></h3>
                     <p id="address-mainRealestates"></p>
                  </div>

                  <div class="pt-5" id="detail-mainRealestates">
                     <h4 style="color: #01614e">Detail:</h4>
                  </div>

                  <div class="pt-5" id="detail-projectRealestates">
                     <h4 style="color: #01614e">Project:</h4>
                  </div>

                  <div class="pt-5" id="detail-uitilitiesRealestates">
                     <h4 style="color: #01614e">Utilties:</h4>
                  </div>

                  <div class="pt-5" id="detail-layoutRealestates">
                     <h4 style="color: #01614e">Layout:</h4>
                     <div class="wrapper-layout"></div>
                  </div>

                  <div class="pt-5" id="detail-regionLinkRealestates">
                     <h4 style="color: #01614e">Region Link:</h4>
                  </div>
               </div>

               <!--THÔNG TIN LIÊN QUAN-->
               <div class="col-12 col-md-4 px-5">
                  <!--Search-->
                  <div class="row" style="background-color: #ebdabb; border-radius: 10px">
                     <div class="col-12">
                        <label for="select-search-request" class="text-white">Request</label>
                     </div>

                     <div class="col-12">
                        <select name="" id="select-search-request" class="form-control">
                           <option value="0">Select Request</option>
                        </select>
                     </div>

                     <div class="col-12">
                        <label for="select-search-type" class="text-white">Type</label>
                     </div>

                     <div class="col-12">
                        <select name="" id="select-search-type" class="form-control">
                           <option value="0">Select Type</option>
                        </select>
                     </div>

                     <div class="col-12">
                        <label for="select-search-province" class="text-white">City</label>
                     </div>

                     <div class="col-12">
                        <select name="" id="select-search-province" class="form-control">
                           <option value="0">Select Province</option>
                        </select>
                     </div>

                     <div class="col-12">
                        <label for="select-search-district" class="text-white">District</label>
                     </div>

                     <div class="col-12">
                        <select name="" id="select-search-district" class="form-control">
                           <option value="0">Select District</option>
                        </select>
                     </div>

                     <div class="col-12">
                        <label for="select-search-ward" class="text-white">Ward</label>
                     </div>

                     <div class="col-12">
                        <select name="" id="select-search-ward" class="form-control">
                           <option value="0">Select Ward</option>
                        </select>
                     </div>

                     <div class="col-12">
                        <label for="inp-search-minPrice" class="text-white">Min Price</label>
                     </div>

                     <div class="col-12">
                        <input
                           id="inp-search-minPrice"
                           class="form-control"
                           placeholder="Min Price"
                           oninput="formatNumber(this)"
                        />
                     </div>

                     <div class="col-12">
                        <label for="inp-search-maxPrice" class="text-white">Max Price</label>
                     </div>

                     <div class="col-12">
                        <input
                           name=""
                           id="inp-search-maxPrice"
                           class="form-control"
                           placeholder="Max Price"
                           oninput="formatNumber(this)"
                        />
                     </div>

                     <div class="col-12 text-center py-2">
                        <button
                           style="border-radius: 15p; color: white; background-color: rgb(11, 44, 61)"
                           id="btn-search"
                        >
                           Search
                        </button>
                     </div>
                  </div>

                  <!--Realestates relationship-->
                  <div class="row mt-5">
                     <div class="col-12">
                        <h4 style="color: #01614e">Best Choice</h4>
                     </div>
                     <div class="col-12">
                        <div class="swiper-container bestChoice">
                           <div class="swiper-wrapper" id="swiperBestChoice">
                              <!--TO DO-->
                           </div>
                           <!-- Add Pagination -->
                           <div class="swiper-pagination bestChoice"></div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>

         <!--MAIN CONTACT US-->
         <section id="main-contact">
            <div class="" style="background-color: rgb(11, 44, 61); position: relative">
               <img
                  src="../../assets/image/default/home-1.png"
                  alt=""
                  style="position: absolute; bottom: 0; right: 0; width: 35%"
                  class="img-contact"
               />
               <div class="container">
                  <div class="row py-5">
                     <div class="col-sm-12 col-md-12 col-lg-6 col-12">
                        <h2 class="text-white">Are you a Home Owner ?</h2>
                        <p style="color: #b39359">Put your email address and get listed.</p>
                        <div style="position: relative">
                           <input
                              type="text"
                              name=""
                              id=""
                              class="form-control my-5"
                              style="
                                 background-color: transparent;
                                 border-color: #b39359;
                                 color: #fff;
                                 height: 50px;
                                 border-radius: 10px;
                              "
                           />
                           <button style="position: absolute; top: 5px; right: 10px">Get Listed</button>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </section>
      </div>

      <!--FOOTER-->
      <div id="footer">
         <div class="py-3 container">
            <div class="row py-5">
               <div class="col-sm-3 col-12 pt-3">
                  <img src="../../assets/image/default/logo (1).svg" class="py-3" />
                  <p>
                     Properties are most budget friendly so you have are find opportunity is main responsibility to
                     clients
                  </p>
               </div>
               <div class="col-sm-3 col-12 p-3">
                  <h4>Information.</h4>
                  <p>Properties</p>
                  <p>Careers</p>
                  <p>Payment</p>
                  <p>Blog Post</p>
               </div>
               <div class="col-sm-3 col-12 pt-3">
                  <h4>Support.</h4>
                  <p>Add Property</p>
                  <p>Help line</p>
                  <p>Our Agents</p>
                  <p>features</p>
               </div>
               <div class="col-sm-3 col-12 pt-3">
                  <h4>Address.</h4>
                  <p>2104 Charmaine Lane Amarillo, New York</p>
                  <span class="mr-3"><i class="fa-brands fa-square-facebook fa-2x"></i></span>
                  <span class="mr-3"><i class="fa-brands fa-square-instagram fa-2x"></i></span>
                  <span><i class="fa-brands fa-square-twitter fa-2x"></i></span>
               </div>
            </div>
            <p class="pb-5">© <span style="color: #b39359">CodeCarnival.</span> All Rights Reserved - Privacy Policy</p>
         </div>

         <div>
            <img class="img-footer img-fluid" src="../../assets/image/default/pattern (1).png" alt="" />
         </div>
      </div>
   </body>

   <style>
      /* PHẦN CSS CHUNG
      ---------------------------------- */
      :root {
         --main-color: #b39359;
      }

      body {
         font-family: "Lora";
      }

      button {
         color: white;
         font-weight: bold;
         background-color: var(--main-color);
         border: 1px solid transparent;
         padding: 0.375rem 0.75rem;
         font-size: 1rem;
         border-radius: 10px;
         transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out,
            box-shadow 0.15s ease-in-out;
         box-shadow: 1px 1px 10px 0.2px rgb(109, 109, 11);
      }

      button:hover {
         transform: scale(1.1);
         box-shadow: 1px 1px 10px 1px rgb(106, 124, 6);
      }

      button:focus {
         outline: none;
      }

      /* PHẦN CSS HEADER */
      /*-----------------------------------------*/
      @media (max-width: 990px) {
         .dropdown-menu {
            background-color: transparent;
            position: relative;
            width: 100%;
            padding: 0;
            margin-top: 5px;
            border: none;
            box-shadow: none;
            z-index: 200;
         }

         #header-navbar div > a {
            color: white;
            padding: 8px 30px;
            font-size: 1.2rem;
         }

         a.dropdown-item::before {
            content: "\25B6";
            position: absolute;
            left: 10px;
            color: white;
         }
      }

      #header-navbar li > a:nth-child(1) {
         color: white;
         font-size: 1.2rem;
      }

      #header-navbar div {
         border-radius: 20px;
      }

      #header-navbar div > a:hover {
         background-color: var(--main-color);
      }

      .bg-header {
         background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.3)), url("../../assets/image/default/bg-1.png");
         background-size: cover;
         background-repeat: no-repeat;
         background-position: center;
         height: 400px;
      }

      /* PHẦN CSS MAIN
      -------------------------------------------- */
      /* Main realestates */
      #title-mainRealestates {
         color: var(--main-color);
         font-weight: bold;
      }

      @media screen and (max-width: 992px) {
         .img-contact {
            display: none;
         }
      }

      /* Realationship realestates */
      #select-search-province > option,
      #select-search-district > option,
      #select-search-ward > option,
      #select-search-request > option,
      #select-search-type > option {
         color: var(--main-color);
      }

      .ul-utilities {
         display: grid;
         grid-template-columns: repeat(auto-fit, minmax(200px, 1fr)); /* Tự động điều chỉnh số cột */
         gap: 10px; /* Khoảng cách giữa các phần tử */
      }

      .ul-utilities li {
         padding: 5px;
         box-sizing: border-box;
      }

      /* .wrapper-layout {
         display: grid;
         grid-template-columns: repeat(auto-fit, minmax(400px, 1fr)); 
         gap: 10px;
      } */

      .wrapper-layout {
         display: grid;
         grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
         grid-gap: 10px;
      }

      .wrapper-layout img {
         max-width: 100%;
         height: auto;
      }

      /* PHẦN CSS FOOTER */
      /*-----------------------------------------*/
      #footer {
         position: relative;
         background-color: rgb(238, 238, 238);
      }

      .img-footer {
         position: absolute;
         bottom: 0;
      }

      /* THƯ VIỆN SWIPER */
      .swiper-slide {
         /* text-align: center; */
         font-size: 18px;
         background: transparent;
         display: -webkit-box;
         display: -ms-flexbox;
         display: -webkit-flex;
         display: flex;
         -webkit-box-pack: center;
         -ms-flex-pack: center;
         -webkit-justify-content: center;
         justify-content: center;
         -webkit-box-align: center;
         -ms-flex-align: center;
         -webkit-align-items: center;
         align-items: center;
      }

      .swiper-container.bestChoice {
         width: 100%;
         height: 1000px;
      }

      .swiper-container.regionLink {
         width: 100%;
         height: 250px;
      }

      .swiper-pagination-bullet {
         background-color: #b39359;
      }

      .card-title {
         display: -webkit-box;
         -webkit-line-clamp: 2; /* Số dòng tối đa */
         -webkit-box-orient: vertical;
         overflow: hidden;
         text-overflow: ellipsis;
      }

      .card-title {
         height: 50px; /* Đặt chiều cao mong muốn */
         overflow: hidden;
      }

      #swiperBestChoice a {
         text-decoration: none;
         color: inherit;
      }
   </style>
</html>
